Subject: RE: [Mip6] FW: Internal WG Review: Recharter of Mobility forIPv4(mip4)

From: "Narayanan, Vidya" <[email-masked]>
Date: Fri, 16 Jun 2006 11:07:22 -0700

It seems like we are revisiting a lot of discussion that happened on the
mip4 mailing list a couple of months ago on the same topic. 

So, there are a couple of use cases for the DSMIP4 work as I see it: 

1. It allows incremental IPv6 deployment in scenarios where MIP4 has
already been deployed. For e.g., the clients may be moved to dual
stacks, while the infrastructure is still IPv4 (which means MIP4 HAs,
IPv4 AAAs, etc.). 

2. It allows scenarios such as a MIP4 client in a cellphone, for
instance, to attach to an IPv6 laptop and provide mobility for both
devices. The cellphone itself only supports IPv4, while it is performing
mobility for an IPv6 address that belongs to a host attached to it. 

In both cases above, DSMIP4 fills the transition need. 

Vidya

> -----Original Message-----
> From: James Kempf [mailto:[email-masked]] 
> Sent: Friday, June 16, 2006 8:52 AM
> To: Alexandru Petrescu; Tsirtsis, George
> Cc: Jari Arkko; Peter McCann; Henrik Levkowetz; Mobile IPv6 
> Mailing List
> Subject: Re: [Mip6] FW: Internal WG Review: Recharter of 
> Mobility forIPv4(mip4)
> 
> So I think I understand this from a technical standpoint. If 
> a DS MN has
> MIP4 on it but not MIP6 and must for some reason (Wants to 
> access something on an IPv6 networks somewhere through its 
> MIP4 home agent? Other?) send IPv6 packets back through its 
> home agent, it would use this extension. Is this right?
> 
> But I'm having a bit of trouble believing that this is ever 
> going to be an important deployment scenerio. Why would a DS 
> MN have MIP4 on it and not MIP6? Is this something that 3GPP2 
> or some other major customer of MIP4 is asking for, or is it 
> something the MIP4 WG wants to do to establish a kind of 
> technical symmetry with the DS-MIP6 work?
> 
> Also, presumably once the IPv6 packet gets decapsulated at 
> the MIP4 HA, it must be sent out on an IPv6 link. So the home 
> network must be dual stack anyway. In that case, if the home 
> mobility service provider is offering IPv6 service, why would 
> it not offer MIP6 also? Or maybe instead of releasing the 
> packet directly from the MIP6 home agent, it goes to some 
> kind of 6to4 gateway? If that's the case, then why not use 
> one of the standard 6to4 transition mechanisms?
> 
> Perhaps I'm missing some important point that motivates the 
> necessity for this work?
> 
>             jak
> 
> 
> ----- Original Message -----
> From: "Alexandru Petrescu" <[email-masked]>
> To: "Tsirtsis, George" <[email-masked]>
> Cc: "Henrik Levkowetz" <[email-masked]>; "Jari Arkko" 
> <[email-masked]>; "Peter McCann" <[email-masked]>; 
> "James Kempf" 
> <[email-masked]>; "Mobile IPv6 Mailing List" <[email-masked]>
> Sent: Friday, June 16, 2006 7:05 AM
> Subject: Re: [Mip6] FW: Internal WG Review: Recharter of Mobility for
> IPv4(mip4)
> 
> 
> > Tsirtsis, George wrote:
> >> DSMIPv4 overlaps with DSMIPv6 as much as MIPv4 overlaps with 
> >> MIPv6....i.e., not a lot.
> >
> > Absolutely, MIP4 cares about v4 addresses only, maybe no overlap at 
> > all between MIP4 and MIP6.  Overlap between DS-MIP6 and DS-MIP4 is 
> > different though IMHO.
> >
> >> The protocols do something similar but they are very 
> different and it  
> >> makes no sense to define them in the same spec.
> >>
> >> - DSMIPv4 extensions are extensions to MIPv4. The spec needs to 
> >> define what a MIPv4 HA, FA and MN are supposed to do with the 
> >> extensions as wells as how the different entities discover support 
> >> for such extensions in the specific protocol.
> >>
> >> - DSMIPv6 extensions are extensions to MIPv6. The spec needs to 
> >> define what a MIPv6 HA and MN are supposed to do with it 
> and all the 
> >> rest of it specifically in the context of MIPv6 protocol.
> >
> > I understand one MN would run either DS-MIPv6 or DS-MIPv4.  But how 
> > about the HA?  Would a HA run both DS-MIPv4 _and_ DS-MIPv6?
> >
> > If one HA wants to serve both DS-MIPv6 nodes _and_ DS-MIPv4 
> nodes then 
> > it would have to run both DS-MIPv6 _and_ DS-MIPv4.  DS-MIPv4 does 
> > proxy ARP for the IPv4 HoA (inherits its MIP4 behaviour).  DS-MIPv6 
> > also does that proxy.  There seems to be some overlap 
> DS-MIP4 DS-MIPv6 IMHO.
> >
> > Alex
> >
> > 
> 
> 
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6
> 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Vijay Devarapalli <[email-masked]>
Date: Fri, 16 Jun 2006 11:42:39 -0700

(trimmed the cc list a bit)

> stacks, while the infrastructure is still IPv4 (which means MIP4 HAs,

I never bought this argument on the MIP4 mailing list. there
is nothing incremental about deploying IPv6 services but not
being able to upgrade your HA. clients are dual stack anyway.
also please expand on the "etc."

> mobility for an IPv6 address that belongs to a host attached to it. 

laptop supporting IPv6 but the cellphone not? come on, I dont
think this is realistic.

Vijay

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 19 Jun 2006 22:02:12 +0200

> laptop supporting IPv6 but the cellphone not? come on, I dont

Why not?  It's easier to have an IPv6 stack on the laptop than on the 
cell phone.  I think very many laptops have IPv6 capabilities while only 
a few cell phones have.

Alex